// FILENAME:    I}{I_SS_Gungho.cs
//
// AUTHOR:      I}{I*ELDER*DarkOne
//--------------------------------------------------------------------------------

$missionName = "DM_FreakY_RuIns";

exec("multiplayerStdLib.cs");
exec("dmStdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = False;
	$server::AllowDeathmatch = True;
	$server::AllowTeamPlay = True;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
      $on = randomInt(1,2);
	desertSounds();	
}

function onMissionLoad()

 {
   cdAudioCycle("Newtech", "Mechsoul", "Terror"); 
}

//-------------------------------------------------------------

function player::onAdd(%this)

{
   
say(%this, 0, "Welcome to the 'SS Gungho' docking bay. The Gungho will not be leaving soon so feel free to check out anything while you wait. (Note: The Gungho will not be leaving duh...) Also feel free to go inside the Gungho. HAVE FUN! This Map was made by: I}{I*ELDER*DarkOne. JOIN US TODAY AT http://www.ihi.cjb.net, or ask a member with a (t) symbol. Gungho has been taken over by GoP");

}



function fix::trigger::onContact(%this, %vehicleId)

{
    
	healObject(%vehicleId, 400);

  	reloadObject(%vehicleId, 400);
}



function gungho::trigger::onEnter(%trigger, %vehicleId)

{
   
setPosition(%vehicleId, 7388.98, -501.83, 1342.7);

}



function podeum::structure::onScan(%scanned, %scanner)
{
setPosition(%scanner, 8368.86, 75.9708, 1415.46);
}

function dock::structure::onScan(%scanned, %scanner)
{
setPosition(%scanner, 484.335, 1165.48, 143.455);
}

function go::trigger::onEnter(%this, %object)
{
   if($on = 1)
  
 {
	setPosition(%object, -900.581, 930.775, 78.1999);
   }
   else if($on = 2)
   {
     setPosition(%object, -381.911, 729.435, 159.91);
   }
}



function toggle::structure::onAttacked(%attacked, %attacker)
{
   setPosition(%attacker, -114, 732.5, 911);
}

function toggle::structure::onScan(%attacked, %attacker)
{
   %num = randomInt(-2500, 50000);
   healObject(%attacker, %num);
}

function info::structure::onScan(%scanned, %scanner)
{
	say(%scanner, "The Gungho is a small starship designed by the wealthiest of all I}{I, I}{I*Technician* Mr. Hacks. The crew consists of 4 men Cpt. WIllson, Lt. Turakov, Pvt. Quartz, and Mr. Hacks. <n>The Gungho consists of 3 levels<n>Basment Floor: Battles<n>Floor one: CryoBay and Storage<n>Floor two: Bridge and meeting room. The Gungho has been Taken over By GoP Hehe fun");
}