// FILENAME:	TDM_PS_Training.cs
//
// AUTHORS:  	[::-Iron_Duke-::] & [::  ~Duo~  ::]
//------------------------------------------------------------------------------

$missionName = "TDM_PS_Training";

$server::HudMapViewOffsetX = 0; 
$server::HudMapViewOffsetY = 0; 

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
        $healRate = 500;   
	$ammoRate = 30;
   	$padWaitTime = 0;
  	$zenWaitTime = 0;
   	$instantPadWaitTime = 0;
	
earthSounds();
}

//Door 1 (Yellow)
//-------------------------------
function door1::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor1 == 0)
        {
                    if(getTeam(%vehicleId) == *IDSTR_TEAM_YELLOW)
                    {
                                 playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, true);
                                 $hercsAtDoor1 = $hercsAtDoor1 + 1;
                    }
                    else    
                    {
                                 say(%vehicleId, "This is not your base!");
                    }
	}
                else
                {}
}

function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, false);
	}
}

//Door 2 (Purple)
//-------------------------------

function door2::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor2 == 0)
        {
                    if(getTeam(%vehicleId) == *IDSTR_TEAM_PURPLE)
                    {
                                 playAnimSequence(getObjectId("MissionGroup\\Door2"), 0, true);
                                 $hercsAtDoor2 = $hercsAtDoor2 + 1;
                    }
                    else    
                    {
                                 say(%vehicleId, "This is not your base!");
                    }
	}
                else
                {}
}

function door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door2"), 0, false);
	}
}

//Door 3 (Red)
//-------------------------------
function door3::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor3 == 0)
        {
                    if(getTeam(%vehicleId) == *IDSTR_TEAM_RED)
                    {
                                 playAnimSequence(getObjectId("MissionGroup\\Door3"), 0, true);
                                 $hercsAtDoor3 = $hercsAtDoor3 + 1;
                    }
                    else    
                    {
                                 say(%vehicleId, "This is not your base!");
                    }
	}
                else
                {}
}

function door3::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door3"), 0, false);
	}
}



//Door 4 (Blue)
//-------------------------------

function door4::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor4 == 0)
        {
                    if(getTeam(%vehicleId) == *IDSTR_TEAM_BLUE)
                    {
                                 playAnimSequence(getObjectId("MissionGroup\\Door4"), 0, true);
                                 $hercsAtDoor4 = $hercsAtDoor4 + 1;
                    }
                    else    
                    {
                                 say(%vehicleId, "This is not your base!");
                    }
	}
                else
                {}
}

function door4::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door4"), 0, false);
	}
}
