// FILENAME:	TDM_Penitentiary.cs
//
// AUTHORS:  	Equuleus
//------------------------------------------------------------------------------

$missionName = "TDM_Penitentiary";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

//-----------------------------------------------------------------
// Add the Cinematic stuff - Cinematic.vol
//-----------------------------------------------------------------

newobject(cinematicsVol, SimVolume, "Cinematic.vol");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

// what can the client choose for a team
	$server::AllowTeamRed = True;
	$server::AllowTeamBlue = True;
	$server::AllowTeamYellow = True;
	$server::AllowTeamPurple = True;

// what can the server admin choose for available teams
   	$server::disableTeamRed = False;
   	$server::disableTeamBlue = False;
   	$server::disableTeamYellow = False;
   	$server::disableTeamPurple = False;
}

function onMissionLoad()
{


// Get Mission Start info and add it to the log.
   logStandardMissionStart();

// ----Three Sets of Favorites - First track is a quiet interlude for GG All etc. ----- 
   cdAudioCycle("SS4","Watching","Newtech","Yougot","Terror","Mechsoul","Purge");
// cdAudioCycle("SS3","Cloudburst","Watching","Newtech","Yougot","Mechsoul","Purge");
// cdAudioCycle("SS4","Cyberntx","Yougot","Mechsoul","Purge","Watching","Newtech");
}

function onMissionStart()
{

// Back Ground Sounds	
	marsSounds();
}