// FILENAME:	DM_The_Rec_Center.cs
//
// AUTHORS:  	*~Milliardo~*
//------------------------------------------------------------------------------

$missionName = "DM_The_Rec_Center";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function H1::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner, -7609.97, -7990.56, 117.406 ); 
}

function H2::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner, 1536.81, -7732.32, 156.509 ); 
}

function H3::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner, 365.199, -7807.8, 99.9996 ); 
}