// FILENAME:	DropShip.cs
//
// AUTHORS:  	SoMe1
//------------------------------------------------------------------------------

$missionName = "DropShip";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = false;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function player::onAdd(%this)
{
  say(%this, 0, "<f3>Welcome to the Drop Ship! This bird is grounded so have a looksee around. There are no heals or reloads. Map made by [GoP]~SoMeOnE~TL.");
}

function onMissionStart()
{
	temperateSound();
}

function onMissionLoad()
{
   cdAudioCycle("newtech"); 
}
