// FILENAME:	SSL_Mercury_Alamo.cs
//
// Based On:      Campaign map, CMer02, Mercury
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "SSL_Mercury_Alamo";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$yellowHealRate = $blueHealRate = $redHealRate = $purpleHealRate = 750;
$padWaitTime = 15;
$zenWaitTime = 60;

// move the map
$server::HudMapViewOffsetX = 165;
$server::HudMapViewOffsetY = 720;

$HercsAtDoor1 = 0;
$HercsAtDoor2 = 0;  
$HercsAtDoor3 = 0;
$HercsAtDoor4 = 0;  

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Mercury.\n" @
	$missionName @ " designed by ''|''mJ, and is available at http://www6.50megs.com/temujin.\n\n" @
	"This map was designed for SLA StarSiege Leage Games.\n" @
	"Blue team is defending, red team is on the attack.\n"  ) ;
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	mercurySounds();
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

// Door Functionality
//------------------------------------------------------------------------------------

function Door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function Door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door1"), 0, false);
	}
}

function Door2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door2"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}

function Door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door2"), 0, false);
	}
}

function Door3::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door3"), 0, true);
	}
	$hercsAtDoor3 = $hercsAtDoor3 + 1;
}

function Door3::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door3"), 0, false);
	}
}

function Door4::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door4"), 0, true);
	}
	$hercsAtDoor4 = $hercsAtDoor4 + 1;
}

function Door4::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Door4"), 0, false);
	}
}
