// FILENAME:	DM_Airport
//
// Editor:~ Wreckless~
//------------------------------------------------------------------------------

$missionName = "DM_Airport";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BoPstdlib.cs");

$BOP::BoPMap = true;

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}


//-------------------------------------------------------------

function onMissionStart()
{
   windSounds();
	marsSounds();
	windSounds();
	windSounds();	

   initGlobalVars();
   
}

function vehicle::onAdd(%vehicleId) 

{ 

order(%vehicleId, guard, 0); 

}

function Fire::trigger::onEnter(%this, %object) 
{
      %player = playerManager::vehicleIdToPlayerNum(%object);
      say(%player, 0, "explosionlarge.WAV");
}

function Fire::trigger::onContact(%this, %object) 
{
      %player = playerManager::vehicleIdToPlayerNum(%object);
	Zen::work(%this, %object, 1500, 50, 0, false);
}

function warp1::trigger::onContact(%trigger, %player) {
  %playerNum = playerManager::vehicleIdToPlayerNum(%player);
  if(%playerNum != 0) { // if 0 then not a player
    setPosition(%player, -55.196, 108.282, 200.295);
    fadeEvent(%playerNum, out, 1, 1, 0, 0);
    say(%playerNum, 0, "teleporter.wav");
    fadeEvent(%playerNum, in, 1, 1, 1, 1);
  }
}

function warp2::trigger::onContact(%trigger, %player) {
  %playerNum = playerManager::vehicleIdToPlayerNum(%player);
  if(%playerNum != 0) { // if 0 then not a player
    setPosition(%player, -55.196, 76.7028, 344.26);
    fadeEvent(%playerNum, out, 1, 1, 0, 0);
    say(%playerNum, 0, "teleporter.wav");
    fadeEvent(%playerNum, in, 1, 1, 1, 1);
  }
}
function warp3::trigger::onContact(%trigger, %player) {
  %playerNum = playerManager::vehicleIdToPlayerNum(%player);
  if(%playerNum != 0) { // if 0 then not a player
    setPosition(%player, -55.196, 56.25, 465.183);
    fadeEvent(%playerNum, out, 1, 1, 0, 0);
    say(%playerNum, 0, "teleporter.wav");
    fadeEvent(%playerNum, in, 1, 1, 1, 1);
  }
}
function warp4::trigger::onContact(%trigger, %player) {
  %playerNum = playerManager::vehicleIdToPlayerNum(%player);
  if(%playerNum != 0) { // if 0 then not a player
    setPosition(%player, -55.196, 176.775, 608.971);
    fadeEvent(%playerNum, out, 1, 1, 0, 0);
    say(%playerNum, 0, "teleporter.wav");
    fadeEvent(%playerNum, in, 1, 1, 1, 1);
  }
}
function warp5::trigger::onContact(%trigger, %player) {
  %playerNum = playerManager::vehicleIdToPlayerNum(%player);
  if(%playerNum != 0) { // if 0 then not a player
    setPosition(%player, 272.712, 408.92, 612.171);
    fadeEvent(%playerNum, out, 1, 1, 0, 0);
    say(%playerNum, 0, "teleporter.wav");
    fadeEvent(%playerNum, in, 1, 1, 1, 1);
  }
}

