// FILENAME:	TDM_NIFKIN_City.cs
//
// AUTHORS:  	NIFKIN
//------------------------------------------------------------------------------

$missionName = "TDM_NIFKIN_City";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = True;
	$server::AllowDeathmatch = False;
	$server::AllowTeamPlay = True;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Newtech", "Cyberntx"); 

   $t1 = getObjectId( "MissionGroup/inner city/t1" );
   $t2 = getObjectId( "MissionGroup/inner city/t2" );

   order( "MissionGroup\\inner city\\t1", shutdown, true );
   order( "MissionGroup\\inner city\\t2", shutdown, true );
}

function onMissionStart()
{
	marsSounds();
}

// move the map
$server::HudMapViewOffsetX = -1500;
$server::HudMapViewOffsetY = 2500;

function onMissionStart()
{
	$healRate = 100;   
	$ammoRate = 3;
   	$padWaitTime = 45;
  	$zenWaitTime = 90;
	
	temperateSounds();
}

function teleport::trigger::onEnter(%trigger, %vehicleId)
{
	setPosition(%vehicleId, -162.852, 320.525, 129.861);
}

function teleport2::trigger::onEnter(%trigger, %vehicleId)
{
	setPosition(%vehicleId, -35.0479, 210.207, 146.139);
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}

// turrets give
function turrets::trigger::onEnter(%this, %vehicleId)
{
  %lucky = getTeam(%vehicleId);
  setTeam("MissionGroup\\inner city\\t1", %lucky);
  setTeam("MissionGroup\\inner city\\t2", %lucky);

  order( "MissionGroup\\inner city\\t1", shutdown, false );
  order( "MissionGroup\\inner city\\t2", shutdown, false );
}